Package org.eclipse.birt.chart.model.layout

# Interface Plot

All Superinterfaces:
  `Block`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PlotImpl`

public interface Plot extends Block
A representation of the model object 'Plot'. Plot represent the rectangular area in a chart, inside where the graph of its datapoints is displayed. It extends to the client area of a chart's block excluding the title and legend. Plot is a sub-type of Block, and exists as a child block of the chart's block in a chart's model.

Besides the general approach of using Chart.getBlock( ).getChildren( ) we can also access it using the convenient method: Chart.getPlot( );

The following features are supported:

- `Horizontal Spacing`
- `Vertical Spacing`
- `Client Area`

See Also:
  - `LayoutPackage.getPlot()`

## Method Summary

Modifier and Type
Method
Description
`Plot`
`copyInstance()`
`ClientArea`
`getClientArea()`
Returns the value of the 'Client Area' containment reference.
`int`
`getHorizontalSpacing()`
Returns the value of the 'Horizontal Spacing' attribute.
`int`
`getVerticalSpacing()`
Returns the value of the 'Vertical Spacing' attribute.
`boolean`
`isSetHorizontalSpacing()`
Returns whether the value of the '`Horizontal Spacing`' attribute is set.
`boolean`
`isSetVerticalSpacing()`
Returns whether the value of the '`Vertical Spacing`' attribute is set.
`void`
`setClientArea(ClientArea value)`
Sets the value of the '`Client Area`' containment reference.
`void`
`setHorizontalSpacing(int value)`
Sets the value of the '`Horizontal Spacing`' attribute.
`void`
`setVerticalSpacing(int value)`
Sets the value of the ' `Vertical Spacing`' attribute.
`void`
`unsetHorizontalSpacing()`
Unsets the value of the '`Horizontal Spacing`' attribute.
`void`
`unsetVerticalSpacing()`
Unsets the value of the ' `Vertical Spacing`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.layout.Block

`add, children, getAnchor, getBackground, getBounds, getChildren, getColumn, getColumnspan, getCursor, getHeightHint, getInsets, getMinSize, getOutline, getPreferredSize, getRow, getRowspan, getStretch, getTriggers, getWidthHint, isCustom, isLegend, isPlot, isSetAnchor, isSetColumn, isSetColumnspan, isSetHeightHint, isSetRow, isSetRowspan, isSetStretch, isSetVisible, isSetWidthHint, isText, isTitle, isVisible, remove, setAnchor, setBackground, setBounds, setColumn, setColumnspan, setCursor, setHeightHint, setInsets, setMinSize, setOutline, setRow, setRowspan, setStretch, setVisible, setWidthHint, unsetAnchor, unsetColumn, unsetColumnspan, unsetHeightHint, unsetRow, unsetRowspan, unsetStretch, unsetVisible, unsetWidthHint`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getHorizontalSpacing

int getHorizontalSpacing()
Returns the value of the 'Horizontal Spacing' attribute. Gets the horizontal spacing between elements in the plot. (e.g. Axes, Client Area). The horizontal spacing between elements in the plot.

Returns:
  the value of the 'Horizontal Spacing' attribute.
See Also:
  - `isSetHorizontalSpacing()`
  - `unsetHorizontalSpacing()`
  - `setHorizontalSpacing(int)`
  - `LayoutPackage.getPlot_HorizontalSpacing()`

### setHorizontalSpacing

void setHorizontalSpacing(int value)
Sets the value of the '`Horizontal Spacing`' attribute.

Parameters:
  `value` - the new value of the 'Horizontal Spacing' attribute.
See Also:
  - `isSetHorizontalSpacing()`
  - `unsetHorizontalSpacing()`
  - `getHorizontalSpacing()`

### unsetHorizontalSpacing

void unsetHorizontalSpacing()
Unsets the value of the '`Horizontal Spacing`' attribute.

See Also:
  - `isSetHorizontalSpacing()`
  - `getHorizontalSpacing()`
  - `setHorizontalSpacing(int)`

### isSetHorizontalSpacing

boolean isSetHorizontalSpacing()
Returns whether the value of the '`Horizontal Spacing`' attribute is set.

Returns:
  whether the value of the 'Horizontal Spacing' attribute is set.
See Also:
  - `unsetHorizontalSpacing()`
  - `getHorizontalSpacing()`
  - `setHorizontalSpacing(int)`

### getVerticalSpacing

int getVerticalSpacing()
Returns the value of the 'Vertical Spacing' attribute. Gets the horizontal spacing between elements in the plot. The vertical spacing between elements in the plot.

Returns:
  the value of the 'Vertical Spacing' attribute.
See Also:
  - `isSetVerticalSpacing()`
  - `unsetVerticalSpacing()`
  - `setVerticalSpacing(int)`
  - `LayoutPackage.getPlot_VerticalSpacing()`

### setVerticalSpacing

void setVerticalSpacing(int value)
Sets the value of the ' `Vertical Spacing`' attribute.

Parameters:
  `value` - the new value of the 'Vertical Spacing' attribute.
See Also:
  - `isSetVerticalSpacing()`
  - `unsetVerticalSpacing()`
  - `getVerticalSpacing()`

### unsetVerticalSpacing

void unsetVerticalSpacing()
Unsets the value of the ' `Vertical Spacing`' attribute.

See Also:
  - `isSetVerticalSpacing()`
  - `getVerticalSpacing()`
  - `setVerticalSpacing(int)`

### isSetVerticalSpacing

boolean isSetVerticalSpacing()
Returns whether the value of the '`Vertical Spacing`' attribute is set.

Returns:
  whether the value of the 'Vertical Spacing' attribute is set.
See Also:
  - `unsetVerticalSpacing()`
  - `getVerticalSpacing()`
  - `setVerticalSpacing(int)`

### getClientArea

ClientArea getClientArea()
Returns the value of the 'Client Area' containment reference. Gets the client area for the plot. This is the region in which the data values will be plotted. Element "ClientArea" represents the valid rectangular area of a plot block to lay out its content. It extends the whole block excluding the margin of the block, which is defined by "Insets". It also holds a group of properties to specify how this area will be rendered, including its background, outline, visibility... and so on.

For chart with axes it represents the area within axes.
For chart without axes it will be split into cells, with each cell for one single series.

Returns:
  the value of the 'Client Area' containment reference.
See Also:
  - `setClientArea(ClientArea)`
  - `LayoutPackage.getPlot_ClientArea()`

### setClientArea

void setClientArea(ClientArea value)
Sets the value of the '`Client Area`' containment reference.

Parameters:
  `value` - the new value of the 'Client Area' containment reference.
See Also:
  - `getClientArea()`

### copyInstance

Plot copyInstance()

Specified by:
  `copyInstance` in interface `Block`
Specified by:
  `copyInstance` in interface `IChartObject`